## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesElementBridgeAllocator Class Reference

`#include <XercesElementBridgeAllocator.hpp>`

Collaboration diagram for XercesElementBridgeAllocator:

[legend]
List of all members.

## Public Types

- typedef XercesElementBridge ObjectType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XercesElementBridgeAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XercesElementBridgeAllocator ()
- ObjectType* create (const DOM_ElementType &theXercesElement, const XercesBridgeNavigator &theNavigator)
    Create a XercesElementBridge instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XercesElementBridgeAllocator::ArenaAllocatorType<ObjectType>

typedef XercesElementBridge XercesElementBridgeAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesElementBridgeAllocator::size_type

## Constructor & Destructor Documentation

XercesElementBridgeAllocator::XercesElementBridgeAllocator ( | size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XercesElementBridgeAllocator::~XercesElementBridgeAllocator ( | )

## Member Function Documentation

ObjectType * XercesElementBridgeAllocator::create ( | const DOM_ElementType & theXercesElement,
| const XercesBridgeNavigator & theNavigator )

  | Create a XercesElementBridge instance. Parameters:
  theXercesElement | The Xerces element node
  theNavigator | The navigator for this instance.
Returns: pointer to the instance

size_type XercesElementBridgeAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XercesElementBridgeAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

void XercesElementBridgeAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesElementBridgeAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.